Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Offer_Iterator Class Reference

`#include <Offer_Iterators.h>`

Inheritance diagram for TAO_Offer_Iterator:

[legend]
Collaboration diagram for TAO_Offer_Iterator:

[legend]
List of all members.

## Public Methods
| TAO_Offer_Iterator (const TAO_Property_Filter &property_filter)
virtual | ~TAO_Offer_Iterator (void)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual void | add_offer (CosTrading::OfferId offer_id, const CosTrading::Offer *offer)=0
virtual CORBA::ULong | max_left (ACE_ENV_SINGLE_ARG_DECL)=0 throw (CORBA::SystemException, CosTrading::UnknownMaxLeft)
virtual CORBA::Boolean | next_n (CORBA::ULong n, CosTrading::OfferSeq_out offers ACE_ENV_ARG_DECL)=0 throw (CORBA::SystemException)
## Protected Methods
TAO_Offer_Iterator & | operator= (const TAO_Offer_Iterator &)
## Protected Attributes
TAO_Property_Filter | pfilter_

## Constructor & Destructor Documentation

TAO_Offer_Iterator::TAO_Offer_Iterator | ( | const TAO_Property_Filter & | property_filter | ) |

TAO_Offer_Iterator::~TAO_Offer_Iterator | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_Offer_Iterator::add_offer | ( | CosTrading::OfferId | offer_id,
|  | const CosTrading::Offer * | offer
| ) | `[pure virtual]`

| Add an offer to the collection of offers the iterator will iterate over. Implemented in TAO_Query_Only_Offer_Iterator, and TAO_Register_Offer_Iterator< MAP_LOCK_TYPE >.

void TAO_Offer_Iterator::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| BEGIN SPEC The destroy operation destroys the iterator. No further operations can be invoked on an iterator after it has been destroyed. END SPEC

virtual CORBA::ULong TAO_Offer_Iterator::max_left | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException, CosTrading::UnknownMaxLeft)`[pure virtual]`

| Implemented in TAO_Query_Only_Offer_Iterator, and TAO_Register_Offer_Iterator< MAP_LOCK_TYPE >.

virtual CORBA::Boolean TAO_Offer_Iterator::next_n | ( | CORBA::ULong | n,
|  | CosTrading::OfferSeq_out offers | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[pure virtual]`

| BEGIN SPEC The next_n operation returns a set of service offers in the output parameter "offers." The operation returns n service offers if there are at least n service offers remaining in the iterator. If there are fewer than n service offers in the iterator, then all remaining service offers are returned. The actual number of service offers returned can be determined from the length of the "offers" sequence. The next_n operation returns TRUE if there are further service offers to be extracted from the iterator. It returns FALSE if there are no further service offers to be extracted. END SPEC Implemented in TAO_Query_Only_Offer_Iterator, and TAO_Register_Offer_Iterator< MAP_LOCK_TYPE >.

TAO_Offer_Iterator& TAO_Offer_Iterator::operator= | ( | const TAO_Offer_Iterator & |  | ) | `[protected]`

## Member Data Documentation

TAO_Property_Filter TAO_Offer_Iterator::pfilter_`[protected]`

| The filter through which each returned offer must pass. Used to strip offers of undesirable properties.

The documentation for this class was generated from the following files:

- Offer_Iterators.h
- Offer_Iterators.cpp